---
layout: default
title: Managing Index
parent: Discover
# grand_parent: Log Analytics
nav_order: 10
---

# Managing Index

Setting the Index is the method that is mandatory before performing any type of search on the data based on the Elysium platform. Managing the index is the process to map the data and enhance the retrieval of that data produced by the Elysium search engine.

1. Launch the Elysium Analytic app, log in with your credentials, and click on __Stack Management__ under the Configure section at the left sidebar.

    ![elysium-search]({{site.baseurl}}/images/elysium-search/image9.jpg)

2. Click on the __index pattern__ in the __Stack Management__ tab.

    ![elysium-search]({{site.baseurl}}/images/elysium-search/image6.jpg)

3. Click on the __"+ Create index pattern"__ button in the top-right corner.

    ![elysium-search]({{site.baseurl}}/images/elysium-search/image5.jpg)

4. Type the index name manually, the entered index name will match with the existing indices, and Click on the __Next step__ button.

    You will be navigating to the configure setting page which will require you to select the __time field__ of your choice and create the index by clicking on __Create index pattern__ button.

    ![elysium-search]({{site.baseurl}}/images/elysium-search/image3.gif)

After successfully creating the index, you can perform any type of search on top of it by navigating to the __Discover__ page.

